Bug 187518 - package overwrites PAM config files
Summary: package overwrites PAM config files
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-03-31 15:52 UTC by Jack Neely
Modified: 2007-11-30 22:07 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-08-10 21:43:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0406 normal SHIPPED_LIVE util-linux bug fix update 2006-08-09 04:00:00 UTC

Description Jack Neely 2006-03-31 15:52:43 UTC
Description of problem:
The util-linux package overwrites any PAM config files that have been modified
by the local administrator.

from util-linux.spec:

%config %{_sysconfdir}/pam.d/chfn
%config %{_sysconfdir}/pam.d/chsh
%config %{_sysconfdir}/pam.d/login
%config %{_sysconfdir}/pam.d/remote

These should all be %config(noreplace)

Version-Release number of selected component (if applicable):
util-linux-2.12a-16.EL4.16

Comment 7 Red Hat Bugzilla 2006-08-10 21:43:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0406.html



Note You need to log in before you can comment on or make changes to this bug.